# Class VCFInfoHeaderLine

java.lang.Object
htsjdk.variant.vcf.VCFHeaderLine
htsjdk.variant.vcf.VCFCompoundHeaderLine
htsjdk.variant.vcf.VCFInfoHeaderLine

All Implemented Interfaces:
  `VCFIDHeaderLine, Serializable, Comparable`

public class VCFInfoHeaderLine extends VCFCompoundHeaderLine

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class VCFCompoundHeaderLine

`VCFCompoundHeaderLine.SupportedHeaderLineType`

## Field Summary

### Fields inherited from class VCFHeaderLine

`ALLOW_UNBOUND_DESCRIPTIONS, serialVersionUID, UNBOUND_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`VCFInfoHeaderLine(String name, int count, VCFHeaderLineType type, String description)`
`VCFInfoHeaderLine(String name, int count, VCFHeaderLineType type, String description, String source, String version)`
`VCFInfoHeaderLine(String name, VCFHeaderLineCount count, VCFHeaderLineType type, String description)`
`VCFInfoHeaderLine(String name, VCFHeaderLineCount count, VCFHeaderLineType type, String description, String source, String version)`
`VCFInfoHeaderLine(String line, VCFHeaderVersion version)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`shouldBeAddedToDictionary()`
By default the header lines won't be added to the dictionary, unless this method will be override (for example in FORMAT, INFO or FILTER header lines)

### Methods inherited from class VCFCompoundHeaderLine

`equals, equalsExcludingDescription, getCount, getCount, getCountType, getDescription, getID, getSource, getType, getVersion, hashCode, isFixedCount, sameLineTypeAndName, setNumberToUnbounded, setSource, setVersion, toStringEncoding`

### Methods inherited from class VCFHeaderLine

`compareTo, getKey, getValue, isHeaderLine, toString, toStringEncoding`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VCFInfoHeaderLine

public VCFInfoHeaderLine(String name, int count, VCFHeaderLineType type, String description)

### VCFInfoHeaderLine

public VCFInfoHeaderLine(String name, VCFHeaderLineCount count, VCFHeaderLineType type, String description)

### VCFInfoHeaderLine

public VCFInfoHeaderLine(String name, int count, VCFHeaderLineType type, String description, String source, String version)

### VCFInfoHeaderLine

public VCFInfoHeaderLine(String name, VCFHeaderLineCount count, VCFHeaderLineType type, String description, String source, String version)

### VCFInfoHeaderLine

public VCFInfoHeaderLine(String line, VCFHeaderVersion version)

## Method Details

### shouldBeAddedToDictionary

public boolean shouldBeAddedToDictionary()
Description copied from class: `VCFHeaderLine`
By default the header lines won't be added to the dictionary, unless this method will be override (for example in FORMAT, INFO or FILTER header lines)

Overrides:
  `shouldBeAddedToDictionary` in class `VCFHeaderLine`
Returns:
  false